Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdSource sync

Sync a document from its source

Re-sync the document content from the connected source provider. If versioning is enabled, a new draft version is created. Supported source vendors:…

POST
/api/v1/documents/{id}/source-sync

Re-sync the document content from the connected source provider. If versioning is enabled, a new draft version is created. Supported source vendors: google-docs / notion / confluence.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/source-sync" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "versionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",    "fileId": "8fa85f64-5717-4562-b3fc-2c963f66afa6"  }}

How is this guide?